#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "pc6031.h"
#include "spi.h"

#if PC6031_USE_OLED
#include "oled.h"
#endif /* PC6031_USE_OLED */

int main(void)
{
	unsigned int *vector;

	BYTE	tim_b = 0;

/* set interrupt vector (25ms timer) */
	 vector = (unsigned int *)0x0006;
	*vector = (unsigned int)TIMER2_OVF;

/* enable interrupt */
	__asm
	im	2
	ld	a,#0x00
	ld	i,a
	ei
	__endasm;


	SD_DISABLE();

	init_spi();

#if PC6031_USE_OLED
	oled_init();
#endif /* PC6031_USE_OLED */

	PC6031_main();

	return(0);
}

