#include "nanocart.h"
#include "pff.h"			/* include UINT/BYTE/... */

#ifndef _SPI_DEFINED
#define _SPI_DEFINED

#define	SD_CS_LOW()			poke(SD_CS, 0x00)		/* Set CS low */
#define	SD_CS_HIGH()		poke(SD_CS, 0x01)		/* Set CS high */
#define	SD_IS_CS_LOW		!(peek(SD_CS) & 0x01)	/* Test if CS is low */

void init_spi (void);		/* Initialize SPI control ports */
void xmit_spi (BYTE);		/* Send a byte to the SPI */
BYTE rcv_spi (void);		/* Send a 0xFF to the SPI and get the received byte */
void rcv_sector(UINT, UINT, BYTE*);	/* Receive a part of the sector */

#endif /* _SPI_DEFINED */
